Subject: Re: [PATCH 2/n] gitweb: Use '&iquot;' instead of '?' in esc_path

From: Jakub Narebski <[email-masked]>
Date: Tue, 7 Nov 2006 01:02:15 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> Junio C Hamano wrote:
>>
>>> Jakub Narebski <[email-masked]> writes:
>>> 
>>>> Here is example code for this:
>>> 
>>> Ok.  The issues I raised in the previous round seem to have been
>>> addressed.  Maybe you would want not to use nested 'sub' and it
>>> is good to go, I think.
>>  
>> Nested sub makes it easy to change gitweb quoting from Character Escape
>> Codes (CEC) to e.g. Unicode Printable Representation (PR).
> 
> Yes, sub makes it easy, it is not needed to be nested.

Well, this sub is of no use (I think) ourside esc_path subroutine.
Similarly for unq sub nested in unescape in PATCH 1/10.

-- 
Jakub Narebski